
// StressView.h : interface of the CStressView class
//

#pragma once

#include "resource.h"
#include "afxwin.h"
#import <exlist.dll>

class CStressView : public CFormView
{
protected: // create from serialization only
	CStressView();
	DECLARE_DYNCREATE(CStressView)

public:
	enum{ IDD = IDD_STRESS_FORM };

// Attributes
public:
	CStressDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CStressView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

	// Attributes
	long m_nLastRunTest;
	long m_nRunTestCount;
	EXLISTLib::IListPtr m_spControl;
	EXLISTLib::IItemsPtr m_spItems;
	DATE m_dtFirstVisibleDate;

	virtual void runTest( long nIndex );

// Generated message map functions
protected:
	afx_msg void OnFilePrintPreview();
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnBnClickedChecktimer();
	bool m_random;
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	CButton m_runOnTimer;
	CButton m_runRandom;
};

#ifndef _DEBUG  // debug version in StressView.cpp
inline CStressDoc* CStressView::GetDocument() const
   { return reinterpret_cast<CStressDoc*>(m_pDocument); }
#endif

